> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Git Repositories Search

> List repositories accessible to a configured git provider token.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/git/repositories/search
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/git/repositories/search:
    get:
      tags:
        - Git
      summary: Git Repositories Search
      description: List repositories accessible to a configured git provider token.
      operationId: git_repositories_search_api_git_repositories_search_get
      parameters:
        - description: Git provider to search
          in: query
          name: provider
          required: true
          schema:
            $ref: '#/components/schemas/GitProvider'
            description: Git provider to search
        - description: Optional repository name filter
          in: query
          name: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional repository name filter
            title: Query
        - description: Maximum repositories to return
          in: query
          name: limit
          required: false
          schema:
            default: 100
            description: Maximum repositories to return
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - description: Provider-specific page cursor
          in: query
          name: page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Provider-specific page cursor
            title: Page Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitProviderRepositoryPage'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    GitProvider:
      description: Supported git hosting providers.
      enum:
        - github
        - gitlab
        - bitbucket
      title: GitProvider
      type: string
    GitProviderRepositoryPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GitProviderRepository'
          title: Items
          type: array
        missing_token:
          default: false
          title: Missing Token
          type: boolean
        next_page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Id
      required:
        - items
      title: GitProviderRepositoryPage
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitProviderRepository:
      properties:
        full_name:
          title: Full Name
          type: string
        git_provider:
          title: Git Provider
          type: string
        id:
          title: Id
          type: string
        is_public:
          title: Is Public
          type: boolean
        main_branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Main Branch
        pushed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Pushed At
        stargazers_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stargazers Count
      required:
        - id
        - full_name
        - git_provider
        - is_public
      title: GitProviderRepository
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.